<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>For</title>
  </head>
  <body>
    <script>
      // --------------------------------------------
      // ----- Ülesanne 1
      // --------------------------------------------
      // Prindi ekraanile numbrid 7-st 17-ni, kasutades klassikalist for-tsüklit.
      for(let myNumber = 7; myNumber <= 17; myNumber++) {
        console.log(myNumber)
      }

      // --------------------------------------------
      // ----- Ülesanne 2
      // --------------------------------------------
      // Prindi ekraanile numbrid 17-st 1-ni, kasutades klassikalist for-tsüklit.
      for(let myNumber = 17; myNumber > 0; myNumber--) {
        console.log(myNumber)
      }

      // --------------------------------------------
      // ----- Ülesanne 3
      // --------------------------------------------
      // On antud massiiv isikutest.
      const persons = [
        { firstName: 'Kadin', lastName: 'Ross', gender: 'F' },
        { firstName: 'Nayeli', lastName: 'Kent', gender: 'F' },
        { firstName: 'Arthur', lastName: 'Fritz', gender: 'M' },
        { firstName: 'Lainey', lastName: 'Goy', gender: 'F' },
        { firstName: 'Donovan', lastName: 'Benitez', gender: 'M' },
        { firstName: 'Tristen', lastName: 'Duke', gender: 'M' },
        { firstName: 'Aliya', lastName: 'Hester', gender: 'F' },
        { firstName: 'Chris', lastName: 'Washington', gender: 'M' },
        { firstName: 'Isabell', lastName: 'Park', gender: 'F' },
      ]

      // 3.1 Prindi nende eesnimed ekraanile, kasutades foreach-tsüklit.

      for(const person of persons) {
        console.log(person.firstName)
      }

      // 3.2 Prindi ekraanile ainult naiste ees- ja perenimed.

      for (const person of persons) {
        if (person.gender === 'F') {
          console.log(person.firstName + ' ' + person.lastName)
        }
      }

      // 3.3 Prindi ekraanile kõigi isikute eesnimed, mis algavad "A" tähega. Kasuta selleks while-tsüklit.

      // for (const p of persons) {
      //   if (p.firstName.toLowerCase().startsWith('a')) {
      //     console.log(p.firstName)
      //   }
      // }

      let personCount = persons.length
      let currentPersonIndex = 0
      while(currentPersonIndex < personCount) {
        if(persons[currentPersonIndex].firstName.toLowerCase().startsWith('a')) {
          console.log(persons[currentPersonIndex].firstName)
        }
        currentPersonIndex++
      }

      // persons.forEach(p => {
      //   if (p.firstName.toLowerCase().startsWith('a')) {
      //     console.log(p.firstName)
      //   }
      // })

      // persons
      //   .filter(p => p.firstName.toLowerCase().startsWith('a'))
      //   .forEach(p => console.log(p))

    </script>
  </body>
</html>
